> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a team for a company



## OpenAPI

````yaml put /teams/{teamId}
openapi: 3.0.0
info:
  description: Pleo.io API
  version: 0.0.1
  title: Pleo.io API
servers:
  - url: https://openapi.pleo.io/v1/
    description: Production
  - url: https://openapi.staging.pleo.io/v1/
    description: Staging
security:
  - BearerToken: []
tags: []
paths:
  /teams/{teamId}:
    put:
      tags:
        - Teams
      summary: Update a team for a company
      operationId: updateTeam
      parameters:
        - name: teamId
          in: path
          required: true
          schema:
            type: string
            example: 0f0e000-000d-0d00-000b-00db0d000fae
          description: Unique UUID of the team.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamUpdateRequest'
        required: true
      responses:
        '200':
          description: A team has been updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamResponse'
        '401':
          description: request unauthorized
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultUnauthorizedResponse'
        '403':
          description: Request forbidden; user has insufficient rights to a resource.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultForbiddenResponse'
        '404':
          description: route not found
          content:
            application/json; charset=utf-8:
              schema:
                $ref: 196d6ca8-f8ae-41a9-be0f-35b819907206
        '500':
          description: >-
            Something went wrong. Please contact the administrator if problems
            persist.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: 68ac1580-8c8f-434e-91b5-872de502f542
      deprecated: true
components:
  schemas:
    TeamUpdateRequest:
      type: object
      properties:
        name:
          type: string
          description: Team name
        code:
          type: string
          description: Team code
      required:
        - name
    TeamResponse:
      type: object
      properties:
        id:
          type: string
          description: The unique UUID identifier of the department
        name:
          type: string
          description: Name of the department
        code:
          type: string
          description: Code of the department
        employees:
          type: array
          description: Team employee
          items:
            type: object
            properties:
              id:
                type: string
                description: The unique UUID identifier of the employee
              firstName:
                type: string
                description: Employee first name
              lastName:
                type: string
                description: Employee last name
              email:
                type: string
                description: Email
              jobTitle:
                type: string
                description: Job title
              role:
                type: string
                description: Role
              phone:
                type: string
                description: Phone number
              avatar:
                type: object
                properties:
                  url:
                    type: string
                    description: Employee avatar location
              code:
                type: string
                description: External Id
              teamId:
                type: string
                description: Team identifier
            required:
              - id
        reviewers:
          type: array
          description: Team reviewers
          items:
            type: object
            properties:
              id:
                type: string
                description: The unique UUID identifier of the employee
              firstName:
                type: string
                description: Employee first name
              lastName:
                type: string
                description: Employee last name
              email:
                type: string
                description: Email
              jobTitle:
                type: string
                description: Job title
              role:
                type: string
                description: Role
              phone:
                type: string
                description: Phone number
              avatar:
                type: object
                properties:
                  url:
                    type: string
                    description: Employee avatar location
              code:
                type: string
                description: External Id
              teamId:
                type: string
                description: Team identifier
            required:
              - id
      required:
        - id
        - name
    DefaultUnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
    DefaultForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 403
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      description: Open API Bearer token

````